<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yifu.cloud.plus.v1.yifu.archives.mapper.LExcelHeadForIoMapper">
    <resultMap id="lExcelHeadForIoMap" type="com.yifu.cloud.plus.v1.yifu.archives.entity.LExcelHeadForIo">
        <id property="id" column="id"/>
        <result property="createUser" column="create_user"/>
        <result property="createTime" column="create_time"/>
        <result property="useCode" column="use_code"/>
        <result property="excelHeadText" column="excel_head_text"/>
        <result property="remark" column="remark"/>
        <result property="name" column="name"/>
    </resultMap>
    <sql id="Base_Column_List">
             a.id,
                  a.create_user,
                  a.create_time,
                  a.use_code,
                  a.excel_head_text,
                  a.remark,
                  a.name
         </sql>
    <sql id="lExcelHeadForIo_where">
        <if test="lExcelHeadForIo != null">
            <if test="lExcelHeadForIo.id != null and lExcelHeadForIo.id.trim() != ''">
                AND a.id = #{lExcelHeadForIo.id}
            </if>
            <if test="lExcelHeadForIo.createUser != null and lExcelHeadForIo.createUser.trim() != ''">
                AND a.create_user = #{lExcelHeadForIo.createUser}
            </if>
            <if test="lExcelHeadForIo.createTime != null">
                AND a.create_time = #{lExcelHeadForIo.createTime}
            </if>
            <if test="lExcelHeadForIo.useCode != null and lExcelHeadForIo.useCode.trim() != ''">
                AND a.use_code = #{lExcelHeadForIo.useCode}
            </if>
            <if test="lExcelHeadForIo.excelHeadText != null and lExcelHeadForIo.excelHeadText.trim() != ''">
                AND a.excel_head_text = #{lExcelHeadForIo.excelHeadText}
            </if>
            <if test="lExcelHeadForIo.remark != null and lExcelHeadForIo.remark.trim() != ''">
                AND a.remark = #{lExcelHeadForIo.remark}
            </if>
        </if>
    </sql>
    <!--lExcelHeadForIo简单分页查询-->
    <select id="getLExcelHeadForIoPage" resultMap="lExcelHeadForIoMap">
        SELECT
        <include refid="Base_Column_List"/>
        FROM l_excel_head_for_io a
        <where>
            1=1
            <include refid="lExcelHeadForIo_where"/>
        </where>
    </select>
</mapper>
